Package com.fasterxml.jackson.datatype.jdk8

# Class WrappedIOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.fasterxml.jackson.datatype.jdk8.WrappedIOException

All Implemented Interfaces:
  `Serializable`

public class WrappedIOException extends RuntimeException
`IOException` runtime wrapper

Wrap an `IOException` to a `RuntimeException`

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WrappedIOException(IOException cause)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`IOException`
`getCause()`
Returns the wrapped `IOException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WrappedIOException

public WrappedIOException(IOException cause)
Constructor

Parameters:
  `cause` - IOException to wrap

## Method Details

### getCause

public IOException getCause()
Returns the wrapped `IOException`

Overrides:
  `getCause` in class `Throwable`
Returns:
  the wrapped `IOException`